summaryrefslogtreecommitdiff
path: root/init.d/sysctl.Linux.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/sysctl.Linux.in')
-rw-r--r--init.d/sysctl.Linux.in18
1 files changed, 18 insertions, 0 deletions
diff --git a/init.d/sysctl.Linux.in b/init.d/sysctl.Linux.in
new file mode 100644
index 0000000..03f48ee
--- /dev/null
+++ b/init.d/sysctl.Linux.in
@@ -0,0 +1,18 @@
+#!@PREFIX@/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+depend()
+{
+ use hostname
+ before bootmisc logger
+ keyword noprefix
+}
+
+start()
+{
+ [ -e /etc/sysctl.conf ] || return 0
+ ebegin "Configuring kernel parameters"
+ sysctl -p >/dev/null
+ eend $? "Some errors were encountered"
+}